moeoContributionMetric(3)

NAME
moeoContributionMetric - The contribution metric evaluates the proportion of non-dominated solutions given by a Pareto set relatively to another Pareto set (Meunier, Talbi, Reininger: 'A multiobjective genetic algorithm for radio network optimization', in Proc.

SYNOPSIS

#include <moeoContributionMetric.h>

Inherits moeoVectorVsVectorBinaryMetric< ObjectiveVector, double >.

  Public Member Functions
double operator() (const std::vector< ObjectiveVector > &_set1, const std::vector< ObjectiveVector > &_set2)
Returns the contribution of the Pareto set '_set1' relatively to the Pareto set '_set2'.

  Private Member Functions
unsigned int card_C (const std::vector< ObjectiveVector > &_set1, const std::vector< ObjectiveVector > &_set2)
Returns the number of solutions both in '_set1' and '_set2'.
unsigned int card_W (const std::vector< ObjectiveVector > &_set1, const std::vector< ObjectiveVector > &_set2)
Returns the number of solutions in '_set1' dominating at least one solution of '_set2'.
unsigned int card_N (const std::vector< ObjectiveVector > &_set1, const std::vector< ObjectiveVector > &_set2)
Returns the number of solutions in '_set1' having no relation of dominance with those from '_set2'.

  Private Attributes
moeoParetoObjectiveVectorComparator< ObjectiveVector > paretoComparator
Functor to compare two objective vectors according to Pareto dominance relation.

Detailed Description

  template<class ObjectiveVector> class moeoContributionMetric< ObjectiveVector >
The contribution metric evaluates the proportion of non-dominated solutions given by a Pareto set relatively to another Pareto set (Meunier, Talbi, Reininger: 'A multiobjective genetic algorithm for radio network optimization', in Proc. of the 2000 Congress on Evolutionary Computation, IEEE Press, pp. 317-324)

Definition at line 24 of file moeoContributionMetric.h.

Member Function Documentation

  template<class ObjectiveVector> double moeoContributionMetric< ObjectiveVector >::operator() (const std::vector< ObjectiveVector > & _set1, const std::vector< ObjectiveVector > & _set2) [inline]

Returns the contribution of the Pareto set '_set1' relatively to the Pareto set '_set2'.

Parameters:
    _set1 the first Pareto set
    _set2 the second Pareto set

Definition at line 33 of file moeoContributionMetric.h.

References moeoContributionMetric< ObjectiveVector >::card_C(), moeoContributionMetric< ObjectiveVector >::card_N(), and moeoContributionMetric< ObjectiveVector >::card_W().

  template<class ObjectiveVector> unsigned int moeoContributionMetric< ObjectiveVector >::card_C (const std::vector< ObjectiveVector > & _set1, const std::vector< ObjectiveVector > & _set2) [inline, private]

Returns the number of solutions both in '_set1' and '_set2'.

Parameters:
    _set1 the first Pareto set
    _set2 the second Pareto set

Definition at line 54 of file moeoContributionMetric.h.

Referenced by moeoContributionMetric< ObjectiveVector >::operator()().

  template<class ObjectiveVector> unsigned int moeoContributionMetric< ObjectiveVector >::card_W (const std::vector< ObjectiveVector > & _set1, const std::vector< ObjectiveVector > & _set2) [inline, private]

Returns the number of solutions in '_set1' dominating at least one solution of '_set2'.

Parameters:
    _set1 the first Pareto set
    _set2 the second Pareto set

Definition at line 71 of file moeoContributionMetric.h.

References moeoContributionMetric< ObjectiveVector >::paretoComparator.

Referenced by moeoContributionMetric< ObjectiveVector >::operator()().

  template<class ObjectiveVector> unsigned int moeoContributionMetric< ObjectiveVector >::card_N (const std::vector< ObjectiveVector > & _set1, const std::vector< ObjectiveVector > & _set2) [inline, private]

Returns the number of solutions in '_set1' having no relation of dominance with those from '_set2'.

Parameters:
    _set1 the first Pareto set
    _set2 the second Pareto set

Definition at line 89 of file moeoContributionMetric.h.

References moeoContributionMetric< ObjectiveVector >::paretoComparator.

Referenced by moeoContributionMetric< ObjectiveVector >::operator()().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.